Системные требования

Наш скрипт представляет собой PHP решение, которое может быть установлено на любой тип операционной системы. Есть два типа требований - общие и дополнительные, но рекомендуемые, чтобы все функции могли работать на вашем сервере.


Облачный сервис размещается на наших серверах, поэтому для вас нет необходимости настраивать сервер


Обязательные требования

  • ОС: Linux (рекомендуется) или Windows
  • PHP: 7.1.x и выше
  • MYSQL: 5.7.x (MyISAM) or MariaDB 10.2.3;
  • Веб сервер: Apache (с mod_rewrite, mod_deflate, AllowOverride all) или nginx или IIS
  • Ограничение памяти PHP: минимум 64 Мб

PHP-расширения

Следующие PHP-расширения необходимы, чтобы ваша система работала корректно. Все они встроенные, но некоторые хостинг провайдеры намеренно их отключают.

  • PDO_MYSQL
  • json
  • Multibyte String (mbstring)
  • GD2 anf fileinfo
  • iconv
  • zlib
  • php_curl
  • php_imap
  • SimpleXML
  • OPcache

Также удостоверьтесь, что "PHP Safe Mode Off".

Следующие расширения являются рекомендуемыми для того, чтобы могли работать определенные функции скрипта UseResponse.

  • LDAP - если хотите использовать LDAP авторизацию для единого входа;
  • CURL - необходимо для функционирования Планировщика в системе. 

Поддерживаемые браузеры

Мы поддерживаем все популярные браузеры, включая браузеры для мобильной версии на Windows Phone, iOS, Android.

Проверьте ваш сервер

Чтобы убедиться, что сервер соответствует всем нашим требованиям, пожалуйста, загрузите прикрепленный архив и разархивируйте его туда, где будет размещаться UseResponse. Затем запустите его в браузере и посмотрите, все ли проверки отмечены зеленым.

Файлы: test_probe.zip
Была ли статья полезной?